import TFPComponentRender from '../render.js'

export default class LabelRender extends TFPComponentRender {
  
  constructor(__tfp, _dataModel, _level) {
  	super(__tfp, _dataModel, _level);
  }

  getBodyHtml(getComponentsHtml) {
    if(this.dataModel.value) return this.dataModel.value;
    return "";
  }

  getHtml(getComponentsHtml, parentIndent, retainStyleAttr) {
    return super.getHtml("label", false, parentIndent, retainStyleAttr);
  }
}